/**
* DevExtreme (animation/transition_executor.d.ts)
* Version: 21.1.0 (build 21016-0316)
* Build date: Sat Jan 16 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import '../jquery_augmentation';

import {
    animationConfig
} from './fx';

/**
 */
export default class TransitionExecutor {
    /**
     */
    enter(elements: JQuery, animation: animationConfig | string): void;
    /**
     */
    leave(elements: JQuery, animation: animationConfig | string): void;
    /**
     */
    reset(): void;
    /**
     */
    start(): Promise<void> & JQueryPromise<void>;
    /**
     */
    stop(): void;
}
