/**
* DevExtreme (renovation/viz/common/types.d.ts)
* Version: 21.1.0 (build 21016-0316)
* Build date: Sat Jan 16 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
type FormatType = 'billions' | 'currency' | 'day' | 'decimal' | 'exponential' | 'fixedPoint' | 'largeNumber' | 'longDate' | 'longTime' | 'millions' | 'millisecond' | 'month' | 'monthAndDay' | 'monthAndYear' | 'percent' | 'quarter' | 'quarterAndYear' | 'shortDate' | 'shortTime' | 'thousands' | 'trillions' | 'year' | 'dayOfWeek' | 'hour' | 'longDateLongTime' | 'minute' | 'second' | 'shortDateShortTime';
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type FormatObject = {
    type?: FormatType;
    precision?: number;
    currency?: string;
    percentPrecision?: number
}
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Format = FormatObject | FormatType | string | ((value: number|Date) => string);
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface Point {
    size: number,
    tag: any,
    originalArgument: Date | string | number,
    originalValue: Date | string | number
}